Skip to main content

/cosmos/slashing/v1beta1/signing_infos

GET

Retrieves signing information for all validators.
Query Parameters
pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.
pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.
pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.
pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.
pagination.reverseboolean
Set to true to return results in descending order.
Responses
addressstring
start_heightstring
index_offsetstring
Index that increments each time the validator enters bonded state in a block, regardless of whether a pre-commit signature was included. Used with the signed_blocks_window parameter to determine the index in the missed block bitmap.
jailed_untilstring
Timestamp at which the validator will be jailed due to liveness downtime.
tombstonedboolean
Whether the validator is tombstoned (removed from the validator set). Set when the validator commits equivocation or other configured misconduct.
missed_blocks_counterstring
A counter of missed (unsigned) blocks. It is used to avoid unnecessaryreads in the missed block bitmap.
PageResponse is to be embedded in gRPC response messages where thecorresponding request message has used PageRequest. message SomeResponse { repeated Bar results = 1; PageResponse page = 2; }
next_keystring
next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.
totalstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-babylon-mainnet.nodit.io/cosmos/slashing/v1beta1/signing_infos' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'